Package org.apache.sling.testing.clients

# Class SlingClient.Builder

java.lang.Object
org.apache.sling.testing.clients.SlingClient.InternalBuilder<SlingClient>
org.apache.sling.testing.clients.SlingClient.Builder

Enclosing class:
  `SlingClient`

public static final class SlingClient.Builder extends SlingClient.InternalBuilder<SlingClient>

## Method Summary

Modifier and Type
Method
Description
`SlingClient`
`build()`
`static SlingClient.Builder`
`create(URI url, String user, String password)`

### Methods inherited from class org.apache.sling.testing.clients.SlingClient.InternalBuilder

`addInterceptorFirst, addInterceptorFirst, addInterceptorFirst, addInterceptorLast, addInterceptorLast, addInterceptorLast, buildHttpClient, buildSlingClientConfig, disableRedirectHandling, httpClientBuilder, setCookieStore, setCredentialsProvider, setPassword, setPreemptiveAuth, setRedirectStrategy, setUrl, setUser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### build

public SlingClient build() throws ClientException

Specified by:
  `build` in class `SlingClient.InternalBuilder<SlingClient>`
Throws:
  `ClientException`

### create

public static SlingClient.Builder create(URI url, String user, String password)